<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_color"
    tools:context=".dashboard.NetworkFragment">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="@dimen/dashboard_fragment_padding_horizontal"
            android:paddingVertical="@dimen/dashboard_fragment_padding_vertical"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleCon"
                        style="@style/TextDeviceBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/connection"
                        tools:ignore="RelativeOverlap" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:src="@drawable/setting" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:paddingVertical="30dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:src="@drawable/wifi"/>

                    <LinearLayout
                        android:id="@+id/connectData"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:layout_marginStart="50dp"
                        android:visibility="gone">

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/conText1"
                            style="@style/TextBig"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Wi-Fi"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/conText2"
                            style="@style/TextButteryRight"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="LUX·433 Mbps"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/conTExt3"
                            style="@style/TextButteryRight"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="80% -60dBm"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/noConnect"
                        style="@style/TextWifiRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="No connection"
                        android:layout_marginStart="50dp"
                        android:textStyle="bold"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleWifi"
                        style="@style/TextDeviceBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/wifi"
                        tools:ignore="RelativeOverlap" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:src="@drawable/setting" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingTop="15dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/wifiTitle1"
                            style="@style/TextContentLeft"
                            android:layout_width="150dp"
                            android:layout_height="wrap_content"
                            android:text="@string/status"
                            android:textStyle="bold" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/wifiDev1"
                            style="@style/TextContentRight"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="20dp"
                            android:text="@string/apps"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/wifiList"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/net2"
                            style="@style/TextDeviceBig"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:text="@string/network"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netTitle1"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/network"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netDev1"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netTitle2"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/bssid"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netDev2"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netTitle3"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/function"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netDev3"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netTitle4"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/connection_speed"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netDev4"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netTitle5"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/signal_strength"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netDev5"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netTitle6"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/frequency"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netDev6"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netTitle7"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/frequency_band"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netDev7"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netTitle8"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/channel"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netDev8"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netTitle9"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/standard"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/netDev9"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <com.google.android.material.textview.MaterialTextView
                            style="@style/TextDeviceBig"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:text="@string/dhcp"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhTitle1"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/dhcp_server"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhDev1"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhTitle2"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/dhcp_lease_time"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhDev2"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhTitle3"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/gateway"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhDev3"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhTitle4"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/subnet_mask"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhDev4"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhTitle5"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/dns1"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhDev5"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhTitle6"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/dns2"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhDev6"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhTitle7"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/ip_address"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhDev7"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhTitle8"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/dhcp_server"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhDev8"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhTitle9"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/dhcp_server"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhDev9"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:orientation="horizontal">

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhTitle10"
                                style="@style/TextContentLeft"
                                android:layout_width="150dp"
                                android:layout_height="wrap_content"
                                android:text="@string/dhcp_server"
                                android:textStyle="bold" />

                            <com.google.android.material.textview.MaterialTextView
                                android:id="@+id/dhDev10"
                                style="@style/TextContentRight"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginStart="20dp"
                                android:text="@string/apps"
                                tools:ignore="RelativeOverlap" />
                        </LinearLayout>
                    </LinearLayout>

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/wifiTitle2"
                        style="@style/TextDeviceBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:text="@string/hardware"
                        android:textStyle="bold"
                        tools:ignore="RelativeOverlap" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:src="@drawable/check_false" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/hard1"
                            style="@style/TextContentLeft"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="20dp"
                            android:text="@string/apps"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:src="@drawable/check_false" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/hard2"
                            style="@style/TextContentLeft"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="20dp"
                            android:text="@string/apps"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:src="@drawable/check_false" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/hard3"
                            style="@style/TextContentLeft"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="20dp"
                            android:text="@string/apps"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:src="@drawable/check_false" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/hard4"
                            style="@style/TextContentLeft"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="20dp"
                            android:text="@string/apps"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:src="@drawable/check_false" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/hard5"
                            style="@style/TextContentLeft"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="20dp"
                            android:text="@string/apps"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:src="@drawable/check_false" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/hard6"
                            style="@style/TextContentLeft"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="20dp"
                            android:text="@string/apps"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:id="@+id/llPubShow"
                        android:visibility="visible"
                        android:layout_marginTop="15dp"
                        android:orientation="horizontal">
                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/pubTitle"
                            style="@style/TextContentLeft"
                            android:layout_width="150dp"
                            android:layout_height="wrap_content"
                            android:text="@string/public_ip"
                            android:textStyle="bold" />
                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/pubShow"
                            style="@style/TextModuleTitle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/show"
                            android:paddingTop="15dp"
                            android:paddingHorizontal="10dp"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:layout_marginTop="15dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleModel"
                        style="@style/TextDeviceBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/mobile_data"
                        tools:ignore="RelativeOverlap" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:src="@drawable/setting" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/mdTitle1"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/dual_sim_dual_standby"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/mdDev1"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/mdTitle2"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/phone_type"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/mdDev2"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/mdTitle3"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/esim"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/mdDev3"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextDeviceBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/connection"
                    tools:ignore="RelativeOverlap" />
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/conTitle1"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/status"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/conDev1"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextDeviceBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/default_value"
                    tools:ignore="RelativeOverlap" />
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/deTitle1"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/data"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/defDev1"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/deTitle2"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/voice"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/defDev2"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/deTitle3"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/short_message"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/defDev3"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextDeviceBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/sim_card_1"
                    tools:ignore="RelativeOverlap" />
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/smTitle1"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/status"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/smDev1"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/sm1Title2"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/nation"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/smDev2"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/sm1Title3"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/roaming"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/smDev3"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/sm1Title4"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/network_type"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/smDev4"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextDeviceBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/sim_card_2"
                    tools:ignore="RelativeOverlap" />
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/sm2Title1"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/status"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/sm2Dev1"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/sm2Title2"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/support"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/sm2Dev2"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginStart="20dp"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>